#include <bits/stdc++.h>
using namespace std;

int main() {

    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    string s;
    long long q,l,r,res;

    cin>>s;
    cin>>q;

    for(int i=0;i<q;i++){
        cin>>l>>r;
        res=1;
        for(int j=l;j<r;j++){
            if(int(s[j])<int(s[j-1])) res++;
        }
        cout<<res<<'\n';
    }

}
